# sc::PsiSCF Class Reference

PsiSCF is an abstract base for all Psi SCF wave functions. More...

`#include <psiwfn.h>`

Inheritance diagram for sc::PsiSCF:

List of all members.

## Public Types
enum | RefType { rhf, hsoshf, uhf }
## Public Member Functions
| PsiSCF (const Ref< KeyVal > &)
| PsiSCF (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual PsiSCF::RefType | reftype () const =0
| Returns the PsiSCF::RefType of this particular Psi SCF wave function.

## Detailed Description

PsiSCF is an abstract base for all Psi SCF wave functions.

## Member Function Documentation

void sc::PsiSCF::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::PsiWavefunction.

The documentation for this class was generated from the following file:

- psiwfn.h